# class HTMLHeadingElement

###

Module | khtml
Namespace | DOM
Class | HTMLHeadingElement
Inherits | DOM::HTMLElement

For the H1 to H6 elements. See the H1 element definition in HTML 4.0.

### methods

- HTMLHeadingElement ( )

  returns ctor

- HTMLHeadingElement (other)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  other | DOM.HTMLHeadingElement |

- HTMLHeadingElement (other)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  other | DOM.Node |

- HTMLHeadingElement (impl)

  returns ctor
  Not implemented

  Argument | Type | Default
  --- | --- | ---
  impl | HTMLElementImpl |

- align ( )

  returns DOM.DOMString

  Horizontal text alignment. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

- setAlign (a0)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  a0 | DOM.DOMString |

  see align